Skip to main content
GET
/
api
/
{projectId}
/
deployment
/
public
/
jobs
/
{jobId}
/
status
Get status of build job (public)
curl --request GET \
  --url https://studio.edgeimpulse.com/v1/api/{projectId}/deployment/public/jobs/{jobId}/status \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "job": {
    "created": "2023-11-07T05:31:56Z",
    "started": "2023-11-07T05:31:56Z",
    "finished": "2023-11-07T05:31:56Z",
    "finishedSuccessful": true
  },
  "logs": [
    {
      "created": "2023-11-07T05:31:56Z",
      "data": "<string>"
    }
  ],
  "error": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

projectId
integer
required

Project ID

jobId
integer
required

Job ID

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

job
object
required
logs
object[]
required

Last 1000 log lines for this job.

error
string

Optional error description (set if 'success' was false)